Imagick::transformImage
Imagick::transposeImage
Imagick
PHP Manual

# Imagick::transparentPaintImage

Paints pixels transparent

### Description

bool Imagick::transparentPaintImage ( mixed `$target` , float `$alpha` , float `$fuzz` , bool `$invert` )

Paints pixels matching the target color transparent. This method is available if Imagick has been compiled against ImageMagick version 6.3.8 or newer.

### Parameters

`target`

  The target color to paint

`alpha`

  The level of transparency: 1.0 is fully opaque and 0.0 is fully transparent.

`fuzz`

  The amount of fuzz. For example, set fuzz to 10 and the color red at intensities of 100 and 102 respectively are now interpreted as the same color.

`invert`

  If `TRUE` paints any pixel that does not match the target color.

### Return Values

Returns `TRUE` on success.